
training android graphics simulation - Task #724

Refactor code for Action Processes

01/09/2025 11:54 AM - Quan Nguyen

Status: New Start date: 01/12/2025

Priority: Normal Due date: 01/15/2025

Assignee: Quan Nguyen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Make a parser to accept input as follows:

[         {

"key": "move",

"target": {

"targetId": 0

}

},     {

"key": "speak",

"target": {

"dialog": ""

}

}

]

Make a scene descriptor that returns the description of the scene as formatted: {

"instruction": "Do something",

"description": [         {

"id": 0,

"position": {},

"rotation": {},

"scale": {},

"boundingBox": {}.

"animations": [

"idle",

"walk"

]

}

]

}

History

#1 - 01/09/2025 12:13 PM - Quan Nguyen

- Start date changed from 01/09/2025 to 01/12/2025

#2 - 01/11/2025 11:45 AM - Quan Nguyen

- Description updated

- Due date changed from 01/19/2025 to 01/14/2025

#3 - 01/11/2025 11:52 AM - Quan Nguyen

- Assignee set to Quan Nguyen

#4 - 01/11/2025 11:52 AM - Quan Nguyen

- Due date changed from 01/14/2025 to 01/15/2025
